#ifndef FUNCWIDGET1_H
#define FUNCWIDGET1_H

#include <QWidget>
#include "fancywindow.h"

QT_BEGIN_NAMESPACE
namespace Ui { class FuncWidget1Base; }
QT_END_NAMESPACE

class FuncWidget1Base : public QWidget
{
    Q_OBJECT

public:
    FuncWidget1Base(QWidget *parent = nullptr);
    ~FuncWidget1Base();

signals:
    void signalSubmit();
    void signalCancel();

private:
    Ui::FuncWidget1Base *ui;
};

class FuncWidget1 : public FancyWindow
{
    Q_OBJECT

public:
    FuncWidget1(QWidget *parent = nullptr);
    ~FuncWidget1();

private:
    FuncWidget1Base* mFuncWidget1Base;
};

#endif // FUNCWIDGET1_H
